Bug 485424 - Review Request: eclipse-birt - Eclipse-based reporting system
Summary: Review Request: eclipse-birt - Eclipse-based reporting system
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-13 14:52 UTC by Alexander Kurtakov
Modified: 2009-02-16 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 14:35:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Kurtakov 2009-02-13 14:52:37 UTC
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-birt.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-birt-2.3.1-1.fc10.src.rpm

Description: BIRT is an Eclipse-based open source reporting system for web applications,
especially those based on Java and J2EE. BIRT has two main components: 
a report designer based on Eclipse, and a runtime component that you 
can add to your app server. BIRT also offers a charting engine that lets 
you add charts to your own application.

Comment 1 Andrew Overholt 2009-02-13 16:00:31 UTC
- please add a comment stating why we're only building the feature we are
- please add information about steps to get us to a full BIRT here:  http://fedoraproject.org/wiki/Eclipse
- please add a comment above the one patch stating why we're doing this
- let's change the variable "qualifier" to "rhinoqualifier" to avoid confusion
- should we be using the same qualifier as BIRT like we do with Mylyn?

Lines beginning with X need attention; those beginning with * are okay:

* verify the final provides and requires of the binary RPMs
X make sure lines are <= 80 characters
  - please add some line continuations to fix this where possible
* package successfully compiles and builds
* BuildRequires are proper
* macros fine
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* md5sum matches upstream
* skim the summary and description for typos, etc.
* summary and description good
* correct buildroot
* %{?dist} used correctly
* license text included in package and marked with %doc
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
* changelog format okay
* Summary tag does not end in a period
* no PreReq
* specfile is legible
* specfile written in American English
* no -doc sub-package necessary
* not native, so no rpath, static linking, etc.
* no config files
* not a GUI app
* no -devel necessary
* install section begins with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* no translations so no locale handling
* no Requires(pre,post)
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions fine
* %clean present
* %doc files do not affect runtime
* not a web app
* package includes license text in the package and marks it with %doc
* run rpmlint on the binary RPMs => no output

$ rpmlint ../RPMS/noarch/eclipse-birt-2.3.1-1.fc10.noarch.rpm
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-xml.jar ../../../../../java/batik/batik-xml.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-parser.jar ../../../../../java/batik/batik-parser.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/fop.jar ../../../../../java/fop.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-svg-dom.jar ../../../../../java/batik/batik-svg-dom.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/org.apache.xml.resolver_1.2.0.jar ../../../../../java/xml-commons-resolver.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/javax.xml_1.3.4.jar ../../../../../java/xml-commons-apis.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/xml-commons-apis-ext.jar ../../../../../java/xml-commons-apis-ext.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-dom.jar ../../../../../java/batik/batik-dom.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/org.apache.xerces_2.9.0.jar ../../../../../java/xerces-j2.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-svggen.jar ../../../../../java/batik/batik-svggen.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-awt-util.jar ../../../../../java/batik/batik-awt-util.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/rhino/eclipse/plugins/org.mozilla.rhino_1.6.7.v20080214/lib/js.jar ../../../../../../../java/js.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-swing.jar ../../../../../java/batik/batik-swing.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-css.jar ../../../../../java/batik/batik-css.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/org.apache.commons.codec_1.3.0.jar ../../../../../java/commons-codec.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-extension.jar ../../../../../java/batik/batik-extension.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/javax.wsdl_1.5.0.jar ../../../../../java/wsdl4j.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-util.jar ../../../../../java/batik/batik-util.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-bridge.jar ../../../../../java/batik/batik-bridge.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/sac.jar ../../../../../java/sac.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-transcoder.jar ../../../../../java/batik/batik-transcoder.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/org.apache.xml.serializer_2.7.1.jar ../../../../../java/xalan-j2-serializer.jar
eclipse-birt.noarch: W: dangling-relative-symlink /usr/share/eclipse/dropins/birt/eclipse/plugins/batik-gui-util.jar ../../../../../java/batik/batik-gui-util.jar
1 packages and 0 specfiles checked; 0 errors, 23 warnings.

These are fine as they're all relative symlinks.

* I verified that it installs and that the chart feature is picked up by plugins requiring it

Comment 2 Alexander Kurtakov 2009-02-13 17:15:06 UTC
Spec URL:
http://akurtakov.fedorapeople.org/eclipse-birt.spec
SRPM URL:
http://akurtakov.fedorapeople.org/eclipse-birt-2.3.1-2.fc10.src.rpm


(In reply to comment #1)
> - please add a comment stating why we're only building the feature we are
Fixed. It was already done but more details added.
> - please add information about steps to get us to a full BIRT here: 
> http://fedoraproject.org/wiki/Eclipse
Fixed. Same as previous.
> - please add a comment above the one patch stating why we're doing this
Fixed.
> - let's change the variable "qualifier" to "rhinoqualifier" to avoid confusion
Fixed.
> - should we be using the same qualifier as BIRT like we do with Mylyn?
No. Different BIRT plugins hava different qualifiers so it's not applicable.
> 
> Lines beginning with X need attention; those beginning with * are okay:
> 
> * verify the final provides and requires of the binary RPMs
> X make sure lines are <= 80 characters
>   - please add some line continuations to fix this where possible
Fixed.

Comment 3 Andrew Overholt 2009-02-13 18:36:12 UTC
Thanks.  This package is approved.

Comment 4 Alexander Kurtakov 2009-02-13 19:13:02 UTC
New Package CVS Request
=======================
Package Name: eclipse-birt
Short Description:  Eclipse-based reporting system
Owners: akurtakov
Branches: 
InitialCC: akurtakov

Comment 5 Kevin Fenzi 2009-02-14 00:48:29 UTC
cvs done.

Comment 6 Alexander Kurtakov 2009-02-16 14:34:11 UTC
Builded in rawhide.

Comment 7 Alexander Kurtakov 2009-02-16 14:34:52 UTC
Builded in rawhide.

Comment 8 Alexander Kurtakov 2009-02-16 14:35:37 UTC
Close.


Note You need to log in before you can comment on or make changes to this bug.